<?php

/**
 * StoryYellers About Page
 * @package Storyyellers
 *
*/

if( !class_exists('Storyyellers_About_page') ):

	class Storyyellers_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'storyyellers_backend_menu'),999);

		}

		// Add Backend Menu
        function storyyellers_backend_menu(){

            add_theme_page(esc_html__( 'StoryYellers Options','storyyellers' ), esc_html__( 'StoryYellers Options','storyyellers' ), 'activate_plugins', 'storyyellers-about', array($this, 'storyyellers_main_page'));

        }

        // Settings Form
        function storyyellers_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Storyyellers_About_page();

endif;